function i_out = OpenImage(PreName, Ind, PostName, Dir, Type)
% 
% OpenImage.m is part of the LCM project, published under the terms of GNU
% General Public License.
% 
% ******************************************
% 
%   Author: Jing Su <Jing.Su.66#gmail.com>
%   Copyright 2002-2009 Jing Su
%   Meredith Group, Georgia Tech
% 
% ******************************************
%
% OpenImage(PreName, Ind, PostName, Dir, Type) converts color images to
% grayscale.
% 
% For example:
%       PreName = 'R';
%       Ind = 180;
%       PostName = '.tif-Pre.tif';
%       Dir = fullfile('\..', 'MatlabFiles', 'BrdUScan102604', 'PreProcess', 'R');
%       Type = 'gray';
%       i_out = OpenImage(PreName, Ind, PostName, Dir, Type);
%       


    FileNumRead = int2str(Ind);
% $$$     NumSize = size(FileNumRead, 2);
% $$$     FileNumRead = FileNumRead(NumSize - 3 : NumSize);
    FileName = [PreName  FileNumRead PostName];
    FullFileName = fullfile(Dir,FileName);
    i_info = imfinfo(FullFileName);
    i_out = imread(FullFileName);
    
    switch Type,
        case 'gray',
            if ~strcmp(i_info.ColorType, 'grayscale'),
                i_out = rgb2gray(i_out);
            end;
    end;
    
        
        
        
        
        
        
        
        
        
