function Plot_d_NormC2CDist(Group, Data,C2CDist)
%
% Plot_d_NormC2CDist.m is part of the LCM project, published under the terms
%   of GNU General Public License.
% 
% ******************************************
% 
%   Author: Jing Su <Jing.Su.66#gmail.com>
%   Copyright 2002-2009 Jing Su
%   Meredith Group, Georgia Tech
% 
% ******************************************
%
% Plot_d_NormC2CDist(Group, Data, C2CDist) visualizes LCMs as .fig, .jpg,
% and .eps plots.
% 
% For example:
%
%  Plot_d_NormC2CDist('Example', Data, 'PAvsAA')
% 

  hf_tot_c2c = figure;
  set(gcf,'DefaultLineLineWidth',2);
  plot([min(Data.(Group).d_x_dis), max(Data.(Group).d_x_dis)],[1,1], ...
       'r-', ...
       'LineWidth',4, ...
       'MarkerSize', 10);
  hold on, plot(Data.(Group).d_x_dis(1:Data.(Group).d_dx_N), ...
       Data.(Group).(['d_nf_',C2CDist])(1:Data.(Group).d_dx_N), ...
       'bo-', ...
       'LineWidth',4, ...
       'MarkerSize', 10);

  title(['\bfCell 2 Cell Interaction: ', C2CDist,' vs Std'], 'FontSize', 18);
  xlabel('\bfDistance (microns)', 'FontSize', 16,'FontWeight','bold');
  ylabel('\bfFraction', 'FontSize', 16,'FontWeight','bold');
  set(get(gcf,'CurrentAxes'), ...
      'FontSize', 16, ...
      'FontWeight','bold', ...
      'Xlim', [min(Data.(Group).d_x_dis(1:Data.(Group).d_dx_N)), ...
               max(Data.(Group).d_x_dis(1:Data.(Group).d_dx_N))]);  
  h_legend = legend('Std', Group);
  set(h_legend, 'Location','SouthEast','FontSize',14);
  FullFigName = fullfile('Figures', ['Norm_', C2CDist])
  saveas(hf_tot_c2c, [FullFigName, '.fig'], 'fig');
  saveas(hf_tot_c2c, [FullFigName, '.jpg'], 'jpg');
  saveas(hf_tot_c2c, [FullFigName, '.eps'], 'eps');
  close(hf_tot_c2c);


  

  

