function i_out = SaveImage(i_out, PreName, Ind, PostName, Dir, Type)
%
% SaveImage.m is part of the LCM project, published under the terms of GNU
% General Public License.
% 
% ******************************************
% 
%   Author: Jing Su <Jing.Su.66#gmail.com>
%   Copyright 2002-2009 Jing Su
%   Meredith Group, Georgia Tech
% 
% ******************************************
%
% For example:
%
%   To save an grayscale image like : 
%       \..\MatlabFiles\BrdUScan102604\PreProcess\R\R0180.tif-Pre.tif
%   Use: 
%       PreName = 'R';
%       Ind = 180;
%       PostName = '.tif-Pre.tif';
%       Dir = fullfile('\..', 'MatlabFiles', 'BrdUScan102604', 'PreProcess', 'R');
%       Type = 'gray';
%       OpenImage(i_out, PreName, Ind, PostName, Dir, 'TIFF');
%       
  FileNumRead = int2str(Ind);
  FileName = [PreName  FileNumRead PostName];

    FullFileName = fullfile(Dir,FileName);
    imwrite(i_out, FullFileName, Type);
    
        
        
        
        
        
        
        
        
        
